## ros-humble-microstrain-inertial-msgs 3.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
set(CMAKE_CXX_STANDARD 14)
project(microstrain_inertial_msgs)

find_package(ament_cmake REQUIRED)
find_package(rosidl_default_runtime REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(std_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)

# Locate the common code and messages
set(COMMON_NAME "microstrain_inertial_msgs_common")
set(COMMON_DIR "${${PROJECT_NAME}_SOURCE_DIR}/${COMMON_NAME}")

# Make sure that the submodule has been properly initialized
if(NOT EXISTS "${COMMON_DIR}/msg")
  message(STATUS "Initializing ${COMMON_DIR} submodule. This should only happen once.")

  # Make sure we can find the git executable
  find_package(Git)
  if(NOT Git_FOUND)
    message(FATAL_ERROR "Unable to initialize submodule because we could not find the git executable. Please clone this repo using 'git clone --recursive'")
  endif()

  # Initialize and update the submodule
  execute_process(
    WORKING_DIRECTORY "${${PROJECT_NAME}_SOURCE_DIR}"
    COMMAND ${CMAKE_COMMAND} -E env ${GIT_EXECUTABLE} submodule update --init --recursive
  )
endif()

# Generate Service Files
set(SRV_DIR "${COMMON_DIR}/srv")
FILE(GLOB SRV_FILES RELATIVE "${SRV_DIR}"
    "${SRV_DIR}/*.srv")
list(TRANSFORM SRV_FILES PREPEND ${COMMON_DIR}:srv/)

# Generate Message Files
set(MSG_DIR "${COMMON_DIR}/msg")
FILE(GLOB MSG_FILES RELATIVE "${MSG_DIR}"
    "${MSG_DIR}/*.msg")
list(TRANSFORM MSG_FILES PREPEND ${COMMON_DIR}:msg/)

rosidl_generate_interfaces(${PROJECT_NAME} ${MSG_FILES} ${SRV_FILES} DEPENDENCIES std_msgs geometry_msgs)

ament_export_dependencies(rosidl_default_runtime)
ament_package()

=== debian/changelog ===
ros-humble-microstrain-inertial-msgs (3.1.0-1jammy) jammy; urgency=high

  * ROS Turns on antenna calibration by default, and publishes the amount corrected by (#237 <https://github.com/LORD-MicroStrain/microstrain_inertial/issues/237>)
    * Turns on antenna calibration by default, and publishes the amount corrected by
    * Updates submodules to main
  * Contributors: Rob

 -- Rob Fisher <rob.fisher@parker.com>  Tue, 25 Jul 2023 04:00:00 -0000

ros-humble-microstrain-inertial-msgs (3.0.1-1jammy) jammy; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Fri, 10 Feb 2023 05:00:00 -0000

ros-humble-microstrain-inertial-msgs (3.0.0-1jammy) jammy; urgency=high

  * Adds IMU overrange status publishers for ROS (#207 <https://github.com/LORD-MicroStrain/microstrain_inertial/issues/207>)
    * Adds IMU overrange status publishers for ROS
  * Adds RF error detection publishers for ROS (#206 <https://github.com/LORD-MicroStrain/microstrain_inertial/issues/206>)
    * Adds RF error detection to ROS
  * Adds SBAS info publishers for ROS (#204 <https://github.com/LORD-MicroStrain/microstrain_inertial/issues/204>)
    * Adds SBAS info publishers for ROS
    * Updates submodule to main
  * Contributors: Rob

 -- Rob Fisher <rob.fisher@parker.com>  Wed, 11 Jan 2023 05:00:00 -0000

ros-humble-microstrain-inertial-msgs (2.7.1-1jammy) jammy; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Wed, 09 Nov 2022 05:00:00 -0000

ros-humble-microstrain-inertial-msgs (2.7.0-1jammy) jammy; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Fri, 23 Sep 2022 04:00:00 -0000

ros-humble-microstrain-inertial-msgs (2.6.0-1jammy) jammy; urgency=high

  * Converts message definitions to use unix line endings (#138 <https://github.com/LORD-MicroStrain/microstrain_inertial/issues/138>)
  * Contributors: Lucas Walter

 -- Rob Fisher <rob.fisher@parker.com>  Wed, 25 May 2022 04:00:00 -0000

ros-humble-microstrain-inertial-msgs (2.5.1-1jammy) jammy; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Tue, 15 Feb 2022 05:00:00 -0000

ros-humble-microstrain-inertial-msgs (2.5.0-1jammy) jammy; urgency=high

  * Added RTK v2 support
  * Fixed submodule initialization
  * Contributors: dacuster, robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Thu, 27 Jan 2022 05:00:00 -0000

ros-humble-microstrain-inertial-msgs (2.4.0-1jammy) jammy; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Wed, 05 Jan 2022 05:00:00 -0000

ros-humble-microstrain-inertial-msgs (2.3.0-1jammy) jammy; urgency=high

  * BREAKING: Updates DeviceReport.srv to return the device report instead of just printing it
  * Adds Fix Info message
  * Adds Aiding Measurement Summary message
  * Updates license files to be accurate for each package
  * Contributors: robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Wed, 22 Dec 2021 05:00:00 -0000

ros-humble-microstrain-inertial-msgs (2.2.0-1jammy) jammy; urgency=high

  * Adds set filter speed lever arm service definition to allow users to configure Measurement Speed Lever Arm at runtime with a service call
  * Adds Input Speed Measurement message
  * Contributors: robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Fri, 03 Dec 2021 05:00:00 -0000

ros-humble-microstrain-inertial-msgs (2.1.0-1jammy) jammy; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Fri, 12 Nov 2021 05:00:00 -0000

ros-humble-microstrain-inertial-msgs (2.0.5-1jammy) jammy; urgency=high

  * Updates maintainers and dependencies in preparation for ROS build farm
  * Moves submodules to subdirectory to get bloom working
  * Renames packages to be more consistent with ROS naming conventions
  * Contributors: Rob Fisher, robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Thu, 21 Oct 2021 04:00:00 -0000

ros-humble-microstrain-inertial-msgs (1.1.4-1jammy) jammy; urgency=high

  * Please see changelog
  * Added aiding measurement summary for each GNSS (GQ7 only)
    Added MSCL version output when node starts
  * Merge pull request #54 <https://github.com/LORD-MicroStrain/ROS-MSCL/issues/54> from civerachb-cpr/master
    Explicitly name the mscl_msgs package
  * Explicitly name the mscl_msgs package instead of using the directory name; the dir name isn't reliable on some build-farms that extract each package into a separate working directory
  * Contributors: Chris Iverach-Brereton, Nathan Miller, nathanmillerparker

 -- Rob Fisher <rob.fisher@parker.com>  Fri, 30 Jul 2021 04:00:00 -0000

ros-humble-microstrain-inertial-msgs (1.1.3-1jammy) jammy; urgency=high

  * Removed duplicate Filter LLH Pos entry in message format
    Preparing for release on Bloom
  * 
    
      * Driver modified to support MSCL version 61.1.6
      * Fixed missing boolean set for RTK status message publishing
    
  * Merge pull request #34 <https://github.com/LORD-MicroStrain/ROS-MSCL/issues/34> from CaptKrasno/msg
    Moved Messages to Separate Package and renamed them to match ros convention
  * Separated Messages into a second package and changed naming to match ros convention
  * Contributors: Kristopher Krasnosky, Nathan Miller, nathanmillerparker

 -- Rob Fisher <rob.fisher@parker.com>  Wed, 21 Apr 2021 04:00:00 -0000

ros-humble-microstrain-inertial-msgs (0.0.4-1jammy) jammy; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Mon, 07 Oct 2019 04:00:00 -0000

ros-humble-microstrain-inertial-msgs (0.0.3-1jammy) jammy; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Mon, 05 Aug 2019 04:00:00 -0000

ros-humble-microstrain-inertial-msgs (0.0.2-1jammy) jammy; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Tue, 28 May 2019 04:00:00 -0000

=== debian/control ===
Source: ros-humble-microstrain-inertial-msgs
Section: misc
Priority: optional
Maintainer: Rob Fisher <rob.fisher@parker.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-geometry-msgs, ros-humble-rosidl-default-generators, ros-humble-std-msgs, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: https://github.com/LORD-MicroStrain/microstrain_inertial
Standards-Version: 3.9.2

Package: ros-humble-microstrain-inertial-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-geometry-msgs, ros-humble-std-msgs, ros-humble-ros-workspace
Description: A package that contains ROS message corresponding to microstrain message types.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-microstrain-inertial-msgs//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-microstrain-inertial-msgs 4.4.0

=== debian/changelog ===
ros-humble-microstrain-inertial-msgs (4.4.0-1bookworm) bookworm; urgency=high

  * ROS submodule update 08/23/2024 (#349 <https://github.com/LORD-MicroStrain/microstrain_inertial/issues/349>)
  * Contributors: Rob

 -- Rob Fisher <rob.fisher@parker.com>  Sun, 06 Oct 2024 16:00:00 -0000

ros-humble-microstrain-inertial-msgs (4.3.0-1bookworm) bookworm; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Tue, 14 May 2024 16:00:00 -0000

ros-humble-microstrain-inertial-msgs (4.2.0-1bookworm) bookworm; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Wed, 03 Apr 2024 16:00:00 -0000

ros-humble-microstrain-inertial-msgs (4.1.0-1bookworm) bookworm; urgency=high

  * ROS puts all messages into single dir (#311 <https://github.com/LORD-MicroStrain/microstrain_inertial/issues/311>)
  * Contributors: Rob

 -- Rob Fisher <rob.fisher@parker.com>  Mon, 01 Apr 2024 16:00:00 -0000

ros-humble-microstrain-inertial-msgs (4.0.1-1bookworm) bookworm; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Mon, 11 Mar 2024 16:00:00 -0000

ros-humble-microstrain-inertial-msgs (4.0.0-1bookworm) bookworm; urgency=high

  * ROS2 Standardize and update to work better with ROS standard tools (#295 <https://github.com/LORD-MicroStrain/microstrain_inertial/issues/295>)
  * Contributors: Rob

 -- Rob Fisher <rob.fisher@parker.com>  Thu, 25 Jan 2024 16:00:00 -0000

ros-humble-microstrain-inertial-msgs (3.2.1-1bookworm) bookworm; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Thu, 25 Jan 2024 16:00:00 -0000

ros-humble-microstrain-inertial-msgs (3.2.0-1bookworm) bookworm; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Wed, 20 Dec 2023 16:00:00 -0000

ros-humble-microstrain-inertial-msgs (3.1.0-1bookworm) bookworm; urgency=high

  * ROS Turns on antenna calibration by default, and publishes the amount corrected by (#237 <https://github.com/LORD-MicroStrain/microstrain_inertial/issues/237>)
    * Turns on antenna calibration by default, and publishes the amount corrected by
    * Updates submodules to main
  * Contributors: Rob

 -- Rob Fisher <rob.fisher@parker.com>  Mon, 24 Jul 2023 16:00:00 -0000

ros-humble-microstrain-inertial-msgs (3.0.1-1bookworm) bookworm; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Thu, 09 Feb 2023 16:00:00 -0000

ros-humble-microstrain-inertial-msgs (3.0.0-1bookworm) bookworm; urgency=high

  * Adds IMU overrange status publishers for ROS (#207 <https://github.com/LORD-MicroStrain/microstrain_inertial/issues/207>)
    * Adds IMU overrange status publishers for ROS
  * Adds RF error detection publishers for ROS (#206 <https://github.com/LORD-MicroStrain/microstrain_inertial/issues/206>)
    * Adds RF error detection to ROS
  * Adds SBAS info publishers for ROS (#204 <https://github.com/LORD-MicroStrain/microstrain_inertial/issues/204>)
    * Adds SBAS info publishers for ROS
    * Updates submodule to main
  * Contributors: Rob

 -- Rob Fisher <rob.fisher@parker.com>  Tue, 10 Jan 2023 16:00:00 -0000

ros-humble-microstrain-inertial-msgs (2.7.1-1bookworm) bookworm; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Tue, 08 Nov 2022 16:00:00 -0000

ros-humble-microstrain-inertial-msgs (2.7.0-1bookworm) bookworm; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Thu, 22 Sep 2022 16:00:00 -0000

ros-humble-microstrain-inertial-msgs (2.6.0-1bookworm) bookworm; urgency=high

  * Converts message definitions to use unix line endings (#138 <https://github.com/LORD-MicroStrain/microstrain_inertial/issues/138>)
  * Contributors: Lucas Walter

 -- Rob Fisher <rob.fisher@parker.com>  Tue, 24 May 2022 16:00:00 -0000

ros-humble-microstrain-inertial-msgs (2.5.1-1bookworm) bookworm; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Mon, 14 Feb 2022 16:00:00 -0000

ros-humble-microstrain-inertial-msgs (2.5.0-1bookworm) bookworm; urgency=high

  * Added RTK v2 support
  * Fixed submodule initialization
  * Contributors: dacuster, robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Wed, 26 Jan 2022 16:00:00 -0000

ros-humble-microstrain-inertial-msgs (2.4.0-1bookworm) bookworm; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Tue, 04 Jan 2022 16:00:00 -0000

ros-humble-microstrain-inertial-msgs (2.3.0-1bookworm) bookworm; urgency=high

  * BREAKING: Updates DeviceReport.srv to return the device report instead of just printing it
  * Adds Fix Info message
  * Adds Aiding Measurement Summary message
  * Updates license files to be accurate for each package
  * Contributors: robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Tue, 21 Dec 2021 16:00:00 -0000

ros-humble-microstrain-inertial-msgs (2.2.0-1bookworm) bookworm; urgency=high

  * Adds set filter speed lever arm service definition to allow users to configure Measurement Speed Lever Arm at runtime with a service call
  * Adds Input Speed Measurement message
  * Contributors: robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Thu, 02 Dec 2021 16:00:00 -0000

ros-humble-microstrain-inertial-msgs (2.1.0-1bookworm) bookworm; urgency=high



 -- Rob Fisher <rob.fisher@parker.com>  Thu, 11 Nov 2021 16:00:00 -0000

ros-humble-microstrain-inertial-msgs (2.0.5-1bookworm) bookworm; urgency=high

  * Updates maintainers and dependencies in preparation for ROS build farm
  * Moves submodules to subdirectory to get bloom working
  * Renames packages to be more consistent with ROS naming conventions
  * Contributors: Rob Fisher, robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Wed, 20 Oct 2021 16:00:00 -0000

ros-humble-microstrain-inertial-msgs (1.1.4-1bookworm) bookworm; urgency=high

  * Please see changelog
  * Added aiding measurement summary for each GNSS (GQ7 only)
    Added MSCL version output when node starts
  * Merge pull request #54 <https://github.com/LORD-MicroStrain/ROS-MSCL/issues/54> from civerachb-cpr/master
    Explicitly name the mscl_msgs package


=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-microstrain-inertial-msgs//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-microstrain-inertial-msgs//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-microstrain-inertial-msgs//opt/ros/humble/opt/microstrain_inertial_msgs/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
